import prog.io.*;
import prog.utili.Sequenza;
import prog.utili.Occorrenza;
import java.util.StringTokenizer;

class Occorrenze {
    public static void main (String[] args) {

 	ConsoleInputManager in = new ConsoleInputManager();
	ConsoleOutputManager out = new ConsoleOutputManager();
	FileInputManager fin = new FileInputManager(args[0]);

	Sequenza<Occorrenza<String>> tavolaOccorrenze = new Sequenza<Occorrenza<String>>();

	String riga;
	while ((riga = fin.readLine()) != null) {
	    StringTokenizer stk = new StringTokenizer(riga," \t,.;:?\"'");
	    while(stk.hasMoreTokens()) {
		String parola = stk.nextToken().toLowerCase();
		Occorrenza<String> nuovaOcc = new Occorrenza<String>(parola);
		//String leggiParola = nuovaOcc.get();
		Occorrenza<String> occTrovata = tavolaOccorrenze.find(nuovaOcc);
		if (occTrovata != null)
		    occTrovata.incrementa();
		else
		    tavolaOccorrenze.add(nuovaOcc);
		//int numOccPar = occTrovata.getValoreContatore();
	    }
	}
	out.println("Occorrenze delle parole nel testo: ");
	for (Occorrenza<String> o : tavolaOccorrenze)
	    out.println(o.toString());
    }
}
