import prog.io.*;
import prog.utili.Sequenza;
import prog.utili.Quadrato;
import prog.utili.Rettangolo;
import prog.utili.Cerchio;
import prog.utili.Figura;

class TestSequenzaFigureCast{

  public static void main(String[] args) {
     
      //predisposizione dei canali di comunicazione
      ConsoleOutputManager out = new ConsoleOutputManager();
      ConsoleInputManager in = new ConsoleInputManager();

      //scelta del tipo di sequenza
      out.println("  c = sequenza cerchi ");
      out.println("  q = sequenza quadrati ");
      char scelta = in.readChar("c|q? ");

      Sequenza<?> seq = null;

      //lettura sequenza

      switch (scelta) {
      case 'c':
	  Sequenza<Cerchio> sc = new Sequenza<Cerchio>();
	  double r;
	  while ((r = in.readDouble("inserire raggio ")) != 0)
	      sc.add(new Cerchio(r));
	  seq = sc;
	  break;
      case 'q':
	  Sequenza<Quadrato> sq = new Sequenza<Quadrato>();
	  int l;
	  while ((l = in.readInt("inserire lato ")) != 0)
	      sq.add(new Quadrato(l));
	  seq = sq;
	  break;
      }

      //stampa aree

      for (Object o : seq){
	  Figura f = (Figura) o;
	  out.println(f.getArea());
      }
  }
}